Deployments.ai Docs
Agent Email

Update an agent email inbox

PATCH /v1/agent-email/inboxes/{inboxId} · SDK updateAgentEmailInbox · CLI deployments inbox update

PATCH
/v1/agent-email/inboxes/{inboxId}

Requires agent-email:write.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

inboxId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
metadata?
name?string
Lengthlength <= 120
status?string
Value in"active""archived""paused"

Response Body

AgentEmailInboxResponse

application/json
  1. response
address*string
Match^\S[\s\S]*\S$|^\S$|^$
Length3 <= length <= 320
clientId?string
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
domainId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
localPart*string
metadata*
name?string
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
status*string
Value in"active""archived""paused"
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X PATCH "https://example.com/v1/agent-email/inboxes/string" \  -H "x-deployments-environment: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "address": "string",  "clientId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "domainId": "string",  "id": "string",  "localPart": "string",  "metadata": {    "property1": null,    "property2": null  },  "name": "string",  "organizationId": "string",  "status": "active",  "updatedAt": "2019-08-24T14:15:22Z"}